Subject: bug#77911: Kodi-wayland won't compile

From: Dylan Connell <[email-masked]>
Date: Fri, 18 Apr 2025 20:09:50 -0400

Hi there,

I'm having an issue compiling kodi-wayland on x86. It looks like there's
undeclared types and methods in the fmt 9.1.0 library. I'm not a C++ guy,
but I think that either
 - Compiling is happening with the wrong version of CPP (too old of a
version of CPP for the features used by [email-masked])
 - Some of the code importing <fmt/core.h> is also using C++20 features and
importing <format> and this is somehow causing a conflict.
I've included the relevant part of my derivation file to show what the
errors are.